Arch Truss/es: Difference between revisions

From FreeCAD Documentation
(Created page with "==Archivos de guión==")
No edit summary
 
(11 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{docnav
{{Docnav/es
|[[Arch_Frame|Frame]]
|[[Arch_Frame/es|Cuadro]]
|[[Arch_Equipment|Equipement]]
|[[Arch_Module|Arch]]
|[[Arch_Equipment/es|Equipo]]
|[[Arch_Workbench/es|Arquitectura]]
|IconL=Arch_Frame.svg
|IconL=Arch_Frame.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Equipment.svg
|IconR=Arch_Equipment.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/es
|Name=Arch Truss
|Name=Arch Truss
|Name/es=Arquitectura Armadura
|Workbenches=[[Arch Module|Arch]]
|MenuLocation=ArchTruss
|MenuLocation=ArquitecturaArmadura
|Workbenches=[[Arch_Workbench/es|Arquitectura]]
|Version=0.19
|Version=0.19
}}
}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
The [[Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected whn launching the command.
La herramienta [[Arch_Truss/es|Arquitectura Armadura]] construye un objeto [https://es.wikipedia.org/wiki/Armadura_(estructura)], bien a partir de un objeto lineal seleccionado (mientas que una [[Draft_Line/es|Línea de Borrador]] o [[Sketcher_NewSketch/es|Boceto]]), o bien desde cero, si no hay ningún objeto seleccionado al lanzar el comando.
</div>


[[Image:Arch Truss example.png|600px]]
[[Image:Arch Truss example.png|600px]]
Line 29: Line 36:
# Use a workbench of your choice to create a single line
# Use a workbench of your choice to create a single line
# Select that line
# Select that line
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking


Line 36: Line 43:


# Make sure nothing is selected
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
Line 63: Line 70:
==Archivos de guión==
==Archivos de guión==


The Truss tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Truss tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=
Line 69: Line 76:
}}
}}


Ejemplo:
Example:


{{Code|code=
{{Code|code=
Line 85: Line 92:
}}
}}



{{docnav
<div class="mw-translate-fuzzy">
|[[Arch_Frame|Frame]]
{{Docnav/es
|[[Arch_Equipment|Equipment]]
|[[Arch_Module|Arch]]
|[[Arch_Frame/es|Cuadro]]
|[[Arch_Equipment/es|Equipo]]
|[[Arch_Workbench/es|Arquitectura]]
|IconL=Arch_Frame.svg
|IconL=Arch_Frame.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Equipment.svg
|IconR=Arch_Equipment.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:00, 5 September 2021

Arquitectura Armadura

Ubicación en el Menú
Arquitectura → Armadura
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.19
Ver también
Ninguno

Descripción

La herramienta Arquitectura Armadura construye un objeto [1], bien a partir de un objeto lineal seleccionado (mientas que una Línea de Borrador o Boceto), o bien desde cero, si no hay ningún objeto seleccionado al lanzar el comando.

Utilización

Crear a partir de un objeto seleccionado

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Crear desde cero

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Propiedades

Datos

  • DatosTrussAngle: The angle of the truss
  • DatosSlantType: The slant type of this truss
  • DatosNormal: The normal direction of this truss
  • DatosHeightStart: The height of the truss at the start position
  • DatosHeightEnd: The height of the truss at the end position
  • DatosStrutStartOffset: An optional start offset for the top strut
  • DatosStrutEndOffset: An optional end offset for the top strut
  • DatosStrutHeight: The height of the main top and bottom elements of the truss
  • DatosStrutWidth: The width of the main top and bottom elements of the truss
  • DatosRodType: The type of the middle element of the truss
  • DatosRodDirection: The direction of the rods
  • DatosRodSize: The diameter or side of the rods
  • DatosRodSections: The number of rod sections
  • DatosRodEnd: If the truss has a rod at its endpoint or not
  • DatosRodMode: How to draw the rods

Archivos de guión

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Ejemplo:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties